<?php
$config->board = new stdClass();

$config->board->ws = array();
$config->board->updateTimeInterval = 5 * 60;

if(!empty($config->boardWs)) $config->board->ws = $config->boardWs;
if(!empty($config->boardUpdateTimeInterval)) $config->board->updateTimeInterval = $config->boardUpdateTimeInterval;

$config->board->worker = new stdClass();
$config->board->worker->registerAddress = '127.0.0.1:1236';
$config->board->worker->count           = 4;

$config->board->gateway = new stdClass();
$config->board->gateway->socketName           = 'websocket://0.0.0.0:3389';
$config->board->gateway->count                = 4;
$config->board->gateway->startPort            = 3300;
$config->board->gateway->pingInterval         = 55;
$config->board->gateway->pingNotResponseLimit = 1;
$config->board->gateway->pingData             = '{"type":"ping","message":"Hello,ZenTaoPMS~"}';
$config->board->gateway->lanIp                = getHostByName(getHostName());
$config->board->gateway->registerAddress      = $config->board->worker->registerAddress;

$config->board->register = new stdClass();
$config->board->register->socketName = 'text://0.0.0.0:1236';

define('TABLE_BOARD_LAYER', '`' .    $config->db->prefix . 'boardlayer`');
define('TABLE_BOARD_CANVAS', '`' .   $config->db->prefix . 'boardcanvas`');
define('TABLE_BOARD_TEMPLATE', '`' . $config->db->prefix . 'boardtemplate`');
define('TABLE_BOARD_LIB', '`' .      $config->db->prefix . 'boardlib`');
define('TABLE_BOARD_ACTION', '`' .   $config->db->prefix . 'boardaction`');

$config->objectTables['board']      = TABLE_BOARD_CANVAS;
$config->objectTables['boardspace'] = TABLE_BOARD_LIB;
