<?php
global $lang, $app;

$config->board->createspace = new stdclass();
$config->board->createspace->requiredFields = 'name';
$config->board->editspace = new stdclass();
$config->board->editspace->requiredFields = 'name';

$config->board->update = new stdclass();
$config->board->update->requiredFields = 'name,owner';

$config->board->search['module']                 = 'board';
$config->board->search['fields']['name']         = $lang->board->boardName;
$config->board->search['fields']['lib']          = $lang->board->affiliatedSpace;
$config->board->search['fields']['status']       = $lang->board->status;
$config->board->search['fields']['createdBy']    = $lang->board->createdBy;
$config->board->search['fields']['owner']        = $lang->board->owner;
$config->board->search['fields']['createdDate']  = $lang->board->createdDate;
$config->board->search['fields']['editedDate']   = $lang->board->editedDate;
$config->board->search['fields']['collaborator'] = $lang->board->collaborator;
$config->board->search['fields']['players']      = $lang->board->players;

$config->board->search['params']['name']         = array('operator' => 'include', 'control' => 'input',  'values' => '');
$config->board->search['params']['lib']          = array('operator' => '=',       'control' => 'select', 'values' => '');
$config->board->search['params']['status']       = array('operator' => '=',       'control' => 'select', 'values' => $lang->board->statusList);
$config->board->search['params']['createdBy']    = array('operator' => '=',       'control' => 'select', 'values' => 'users');
$config->board->search['params']['owner']        = array('operator' => '=',       'control' => 'select', 'values' => 'users');
$config->board->search['params']['collaborator'] = array('operator' => 'include', 'control' => 'select', 'values' => 'users');
$config->board->search['params']['players']      = array('operator' => 'include', 'control' => 'select', 'values' => 'users');
$config->board->search['params']['createdDate']  = array('operator' => '=',       'control' => 'date',  'values' => '');
$config->board->search['params']['editedDate']   = array('operator' => '=',       'control' => 'date',  'values' => '');

$config->board->editor = new stdclass();
$config->board->editor->close    = array('id' => 'comment', 'tools' => 'simpleTools');
$config->board->editor->activate = array('id' => 'comment', 'tools' => 'simpleTools');

$config->board->tablecontentFields = 'id, name, cover, collector, createdDate, locked, status, actionsStatus, createdBy, owner, collaborator, deleted';

$config->board->templateCategory['brainstorming']    = '8,21,6,12';
$config->board->templateCategory['researchanalysis'] = '2,7,16,14,20,13';
$config->board->templateCategory['decisionanalysis'] = '19,3,5,15,9,4,10,17';
$config->board->templateCategory['agilepractice']    = '22,23,11,18';
