<?php
$now = helper::now();

global $app, $config;

$account = !empty($app->user) ? $app->user->account : '';

$config->board->form = new stdclass();

$config->board->form->createspace['name']        = array('type' => 'string',   'required' => true,  'default' => '', 'filter' => 'trim');
$config->board->form->createspace['acl']         = array('type' => 'string',   'required' => false, 'default' => '');
$config->board->form->createspace['type']        = array('type' => 'string',   'required' => false, 'default' => '');
$config->board->form->createspace['product']     = array('type' => 'int',      'required' => false, 'default' => 0);
$config->board->form->createspace['project']     = array('type' => 'int',      'required' => false, 'default' => 0);
$config->board->form->createspace['groups']      = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->createspace['users']       = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->createspace['vision']      = array('type' => 'string',   'required' => false, 'default' => $config->vision);
$config->board->form->createspace['createdBy']   = array('type' => 'string',   'required' => false, 'default' => $account);
$config->board->form->createspace['createdDate'] = array('type' => 'datetime', 'required' => false, 'default' => $now);

$config->board->form->editspace['name']        = array('type' => 'string',   'required' => true,  'default' => '', 'filter' => 'trim');
$config->board->form->editspace['acl']         = array('type' => 'string',   'required' => false, 'default' => '');
$config->board->form->editspace['type']        = array('type' => 'string',   'required' => false, 'default' => '');
$config->board->form->editspace['groups']      = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->editspace['users']       = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->editspace['vision']      = array('type' => 'string',   'required' => false, 'default' => $config->vision);
$config->board->form->editspace['editedBy']    = array('type' => 'string',   'required' => false, 'default' => $account);
$config->board->form->editspace['editedDate']  = array('type' => 'datetime', 'required' => false, 'default' => $now);

$config->board->form->createboard['space']        = array('type' => 'int',      'required' => true,  'default' => 0);
$config->board->form->createboard['name']         = array('type' => 'string',   'required' => true,  'default' => '', 'filter' => 'trim');
$config->board->form->createboard['owner']        = array('type' => 'string',   'required' => true,  'default' => '');
$config->board->form->createboard['createdBy']    = array('type' => 'string',   'required' => false, 'default' => $account);
$config->board->form->createboard['collaborator'] = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->createboard['acl']          = array('type' => 'string',   'required' => false, 'default' => '');
$config->board->form->createboard['type']         = array('type' => 'string',   'required' => false, 'default' => '');
$config->board->form->createboard['groups']       = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->createboard['users']        = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->createboard['createdDate']  = array('type' => 'datetime', 'required' => false, 'default' => $now);

$config->board->form->createbytemplate['space']        = array('type' => 'int',      'required' => true,  'default' => 0);
$config->board->form->createbytemplate['name']         = array('type' => 'string',   'required' => true,  'default' => '', 'filter' => 'trim');
$config->board->form->createbytemplate['owner']        = array('type' => 'string',   'required' => true,  'default' => '');
$config->board->form->createbytemplate['collaborator'] = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->createbytemplate['acl']          = array('type' => 'string',   'required' => false, 'default' => '');
$config->board->form->createbytemplate['type']         = array('type' => 'string',   'required' => false, 'default' => '');
$config->board->form->createbytemplate['groups']       = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->createbytemplate['users']        = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->createbytemplate['createdBy']    = array('type' => 'string',   'required' => false, 'default' => $account);
$config->board->form->createbytemplate['createdDate']  = array('type' => 'datetime', 'required' => false, 'default' => $now);

$config->board->form->editboard['space']        = array('type' => 'int',      'required' => true,  'default' => 0);
$config->board->form->editboard['name']         = array('type' => 'string',   'required' => true,  'default' => '', 'filter' => 'trim');
$config->board->form->editboard['owner']        = array('type' => 'string',   'required' => true,  'default' => '');
$config->board->form->editboard['collaborator'] = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->editboard['acl']          = array('type' => 'string',   'required' => false, 'default' => '');
$config->board->form->editboard['groups']       = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->editboard['users']        = array('type' => 'array',    'required' => false, 'default' => '', 'filter' => 'join');
$config->board->form->editboard['editedDate']   = array('type' => 'datetime', 'required' => false, 'default' => $now);

$config->board->form->close['status']     = array('type' => 'string',   'required' => false, 'default' => 'closed');
$config->board->form->close['closedBy']   = array('type' => 'string',   'required' => false, 'default' => $account);
$config->board->form->close['closedDate'] = array('type' => 'datetime', 'required' => false, 'default' => $now);

$config->board->form->activate['status']        = array('type' => 'string',   'required' => false, 'default' => 'unclosed');
$config->board->form->activate['activatedBy']   = array('type' => 'string',   'required' => false, 'default' => $account);
$config->board->form->activate['activatedDate'] = array('type' => 'datetime', 'required' => false, 'default' => $now);
