<?php

$lang->board->common = '白板';

$lang->board->createTeamBoard = '创建团队白板';
$lang->board->editTeamBoard   = '编辑团队白板';
$lang->board->createSpace     = '创建空间';
$lang->board->editSpace       = '编辑空间';
$lang->board->spaceName       = '空间名称';
$lang->board->allSpace        = '所有空间';
$lang->board->importStory     = '导入需求';

$lang->board->point           = '、';
$lang->board->id              = 'ID';
$lang->board->status          = '状态';
$lang->board->name            = '名称';
$lang->board->createBoard     = '创建白板';
$lang->board->closeBoard      = '关闭白板';
$lang->board->activateBoard   = '激活白板';
$lang->board->boardName       = '白板名称';
$lang->board->owner           = '负责人';
$lang->board->createdBy       = '创建者';
$lang->board->collaborator    = '协作负责人';
$lang->board->allUsers        = '加载所有用户';
$lang->board->affiliatedSpace = '所属空间';
$lang->board->space           = $lang->board->affiliatedSpace;
$lang->board->createdDate     = '创建日期';
$lang->board->editedDate      = '最后修改日期';
$lang->board->players         = '互动成员';
$lang->board->createOn        = '创建于';
$lang->board->type            = '白板类型';
$lang->board->userStoryTitle  = '用户需求名称';
$lang->board->devStoryTitle   = '研发需求名称';
$lang->board->priAB           = 'P';
$lang->board->stage           = '阶段';
$lang->board->product         = '所属产品';
$lang->board->module          = '所属模块';
$lang->board->plan            = '所属计划';
$lang->board->reviewer        = '评审人';
$lang->board->estimate        = '预计';
$lang->board->story           = '需求';
$lang->board->storyType       = '需求类型';
$lang->board->import          = '导入';
$lang->board->updateLayer     = '更新导入卡片';
$lang->board->storyName       = '需求名称';

$lang->board->storyTypeList['epic']        = $lang->ERCommon;
$lang->board->storyTypeList['requirement'] = $lang->URCommon;
$lang->board->storyTypeList['story']       = $lang->SRCommon;

$lang->board->statusList['unclosed'] = '未关闭';
$lang->board->statusList['closed']   = '已关闭';

$lang->board->boardType['team']    = '团队白板';
$lang->board->boardType['project'] = '项目白板';
$lang->board->boardType['product'] = '产品白板';

$lang->board->acl             = '访问控制';
$lang->board->groups          = '分组';
$lang->board->users           = '用户';
$lang->board->lib             = $lang->board->affiliatedSpace;
$lang->board->boardOpenTip    = '公开 （有所属空间权限即可访问）';
$lang->board->boardPrivateTip = '私有 （仅创建者、负责人、协作负责人和白名单用户可访问）';
$lang->board->collaboratorTip = '协作负责人可以在白板中设置成员互动模式、控制模板等，促进参与者更好的合作。';

$lang->board->confirmDelete      = '您确认要删除该白板吗？';
$lang->board->confirmDeleteSpace = '您确定删除该白板空间吗？';
$lang->board->updatedLayer       = '已更新白板卡片';

/* Common access control lang. */
$lang->board->whiteList          = '白名单';
$lang->board->aclList['open']    = '公开 （有白板视图权限即可访问）';
$lang->board->aclList['private'] = '私有 （仅创建者和白名单用户可访问）';
$lang->board->group              = '分组';
$lang->board->user               = '用户';

$lang->board->error             = new stdclass();
$lang->board->error->invalidCanvasID   = '您请求的资源受限或者不存在';
$lang->board->error->invalidClientID   = '客户端错误，请重新进入';
$lang->board->error->invalidTemplateID = '模板不存在，请重新选择';
$lang->board->error->templateCanvasID  = '模板设置的白板不存在，请重新选择';
$lang->board->error->noPrivSpace       = '<div id="addWhitelistTip"><div class="input-group"><i class="icon icon-info addWhitelistTip"></i> 白名单用户<span class="addWhitelistTip">%s</span>暂无所在空间访问权限，因此无法访问白板。如需调整权限请维护所在空间的访问控制权限。</div></div>';
$lang->board->error->closeTip          = '关闭后白板不能继续创作与协作';
$lang->board->error->timerNotSet       = '未启用计时';
$lang->board->error->invalidCoverPath  = '封面地址错误';
$lang->board->error->noPrivViewBoard   = '您暂无权限共创白板';
$lang->board->error->noSpaceData       = '暂时没有空间';

/* Lang for privs, keys are paired with privlang items. */
$lang->board->create      = '创建白板';
$lang->board->edit        = '编辑白板';
$lang->board->close       = '关闭白板';
$lang->board->activate    = '激活白板';
$lang->board->delete      = '删除白板';
$lang->board->collect     = '收藏白板';
$lang->board->lock        = '锁定白板';
$lang->board->unlock      = '解锁白板';
$lang->board->creation    = '白板创作';
$lang->board->index       = '浏览白板';
$lang->board->teamBoard   = '团队白板';
$lang->board->createSpace = '创建空间';
$lang->board->editSpace   = '编辑空间';
$lang->board->deleteSpace = '删除空间';

$lang->board->featureBar['teamboard']['all']       = '全部';
$lang->board->featureBar['teamboard']['unclosed']  = '未关闭';
$lang->board->featureBar['teamboard']['openedBy']  = '由我创建';
$lang->board->featureBar['teamboard']['collectBy'] = '我收藏的';
$lang->board->featureBar['teamboard']['closed']    = '已关闭';

$lang->board->featureBar['template']['all']              = '全部';
$lang->board->featureBar['template']['brainstorming']    = '头脑风暴';
$lang->board->featureBar['template']['researchAnalysis'] = '调研分析';
$lang->board->featureBar['template']['decisionAnalysis'] = '决策分析';
$lang->board->featureBar['template']['agilePractice']    = '敏捷实践';

$lang->board->actions['convert']['demand']      = '需求池需求';
$lang->board->actions['convert']['epic']        = $lang->ERCommon;
$lang->board->actions['convert']['requirement'] = $lang->URCommon;
$lang->board->actions['convert']['story']       = $lang->SRCommon;

$lang->board->hint = new stdClass();
$lang->board->hint->collect        = '收藏';
$lang->board->hint->cancelCollect  = '取消收藏';
$lang->board->hint->converted      = '该便签已转化为需求。';
$lang->board->hint->convertedCroup = '该组便签已转化为需求。';

$lang->board->action = new stdclass();
$lang->board->action->created            = array('main' => '$date, 由 <strong>$actor</strong> 创建。');
$lang->board->action->closed             = array('main' => '$date, 由 <strong>$actor</strong> 关闭。');
$lang->board->action->edited             = array('main' => '$date, 由 <strong>$actor</strong> 编辑。');
$lang->board->action->activated          = array('main' => '$date, 由 <strong>$actor</strong> 激活。');
$lang->board->action->collected          = array('main' => '$date, 由 <strong>$actor</strong> 收藏。');
$lang->board->action->uncollected        = array('main' => '$date, 由 <strong>$actor</strong> 取消收藏。');
$lang->board->action->importstory        = array('main' => '$date, 由 <strong>$actor</strong> 导入' . $lang->SRCommon . '：$extra。');
$lang->board->action->importdemand       = array('main' => '$date, 由 <strong>$actor</strong> 导入需求池需求：$extra。');
$lang->board->action->importrequirement  = array('main' => '$date, 由 <strong>$actor</strong> 导入' . $lang->URCommon . '：$extra。');
$lang->board->action->editedstory        = array('main' => '$date, 由 <strong>$actor</strong> 编辑需求卡片。');
$lang->board->action->importepic         = array('main' => '$date, 由 <strong>$actor</strong> 导入' . $lang->ERCommon .'：$extra。');
$lang->board->action->convertdemand      = array('main' => '$date, 由 <strong>$actor</strong> 转化需求池需求：$extra。');
$lang->board->action->convertepic        = array('main' => '$date, 由 <strong>$actor</strong> 转化' . $lang->ERCommon . '：$extra。');
$lang->board->action->convertrequirement = array('main' => '$date, 由 <strong>$actor</strong> 转化' . $lang->URCommon . '：$extra。');
$lang->board->action->convertstory       = array('main' => '$date, 由 <strong>$actor</strong> 转化' . $lang->SRCommon . '：$extra。');

$lang->board->editor = new stdclass();
$lang->board->editor->addBlock      = '底图';
$lang->board->editor->noteColors    = array();
$lang->board->editor->noteColors[]  = array('color' => 'transparent', 'text' => '#5E626D', 'name' => '透明');
$lang->board->editor->noteColors[]  = array('color' => '#d0f6e8', 'text' => '#5E626D', 'name' => '浅绿');
$lang->board->editor->noteColors[]  = array('color' => '#d5e5ff', 'text' => '#5E626D', 'name' => '浅蓝');
$lang->board->editor->noteColors[]  = array('color' => '#60c2ff', 'text' => '#ffffff', 'name' => '蓝色');
$lang->board->editor->noteColors[]  = array('color' => '#3785ff', 'text' => '#ffffff', 'name' => '禅道蓝');
$lang->board->editor->noteColors[]  = array('color' => '#a78cf9', 'text' => '#ffffff', 'name' => '紫色');
$lang->board->editor->noteColors[]  = array('color' => '#41c0a7', 'text' => '#ffffff', 'name' => '绿色');
$lang->board->editor->noteColors[]  = array('color' => '#ffaf65', 'text' => '#ffffff', 'name' => '橙色');
$lang->board->editor->noteColors[]  = array('color' => '#ffecdb', 'text' => '#5E626D', 'name' => '浅黄');
$lang->board->editor->noteColors[]  = array('color' => '#f9ebfc', 'text' => '#5E626D', 'name' => '粉色');
$lang->board->editor->noteColors[]  = array('color' => '#ede9fe', 'text' => '#5E626D', 'name' => '浅紫');
$lang->board->editor->noteColors[]  = array('color' => '#ffffff', 'text' => '#5E626D', 'name' => '白');
$lang->board->editor->noteColors[]  = array('color' => '#333333', 'text' => '#ffffff', 'name' => '黑');
$lang->board->editor->readonlyMessage = '白板已关闭，已进入浏览模式。';
$lang->board->editor->deleteMessage   = '白板已删除，已进入浏览模式。';

global $app;
$wwwRoot = $app->getWebRoot();

$shape[] = array('name' => 'templet', 'title' => '方形区块', 'image' => $wwwRoot . 'static/board/blocks/055d2715f312caff0b0eca3619572a8a.svg', 'cover' => $wwwRoot . 'static/board/blocks/511eb80c77d6e83618f083ce299c6f89.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '圆形区块', 'image' => $wwwRoot . 'static/board/blocks/45eb4d23b58ad8f97d43f874ba0f96db.svg', 'cover' => $wwwRoot . 'static/board/blocks/圆形封面.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '三角区块', 'image' => $wwwRoot . 'static/board/blocks/5ec07ee978f1793c15e06bf1657a9264.svg', 'cover' => $wwwRoot . 'static/board/blocks/37c0952266c59999dfba92c6f76db985.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '灰色大区块', 'image' => $wwwRoot . 'static/board/blocks/2c795cb56337fd82573808919726968d.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-大区块-灰.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '白色大区块', 'image' => $wwwRoot . 'static/board/blocks/2dcc70ae91e676e59d4b5c149b444a71.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-大区块-白.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '区域-灰', 'image' => $wwwRoot . 'static/board/blocks/00e07bf925e397def3cd60094d5b2128.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-区域-灰.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '区域-红', 'image' => $wwwRoot . 'static/board/blocks/a1dbc005258282a86f7300e6ee623863.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-区域-红.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '区域-蓝', 'image' => $wwwRoot . 'static/board/blocks/f8ce41932704f136d23e3d2f20770bc9.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-区域-蓝.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '区域-橙', 'image' => $wwwRoot . 'static/board/blocks/c6118c3134676ab4c9b5b26be1629d23.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-区域-橙.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '范围-红', 'image' => $wwwRoot . 'static/board/blocks/c983519bc54ebf9eb27244e7b8fbfc37.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-范围-红.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '范围-蓝', 'image' => $wwwRoot . 'static/board/blocks/886a1ec5a041cfba63c391528de7dbb4.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-范围-蓝.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '范围-橙', 'image' => $wwwRoot . 'static/board/blocks/f103b6ff888b237133106e27792c66bb.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-范围-橙.svg','type' => 'block_template_shape');

$combination[] = array('name' => 'templet', 'title' => '简单拼贴', 'image' => $wwwRoot . 'static/board/blocks/3b0ce7c548e3a3d62cfe117db0a46e24.svg', 'cover' => $wwwRoot . 'static/board/blocks/a1b0ae0f817d767ab9e496299b20e164.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => '中心四象限', 'image' => $wwwRoot . 'static/board/blocks/8561844227c24b81ecfef528881a8791.svg', 'cover' => $wwwRoot . 'static/board/blocks/ba2575fe10189118027d4eff49c52903.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => '坐标四象限', 'image' => $wwwRoot . 'static/board/blocks/0b2f84a50ae44b4ba875823482d072fa.svg', 'cover' => $wwwRoot . 'static/board/blocks/fd9981dd38552285cb110c99b1ca3952.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => '金字塔', 'image' => $wwwRoot . 'static/board/blocks/6d8e31ccc134b7fd4fc604290dc13eb3.svg', 'cover' => $wwwRoot . 'static/board/blocks/08602965a6cd453b3c7bd522a9917b86.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => '漏斗', 'image' => $wwwRoot . 'static/board/blocks/dac8262f28d738626579965d8d1a296a.svg', 'cover' => $wwwRoot . 'static/board/blocks/49017be6dcde826346a88b3030c408d7.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => '同心圆', 'image' => $wwwRoot . 'static/board/blocks/25401c1ad14ebd71e2d237a6221dde8c.svg', 'cover' => $wwwRoot . 'static/board/blocks/5cd6d77d396f6b928112ba3ea1d19208.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => '维恩图', 'image' => $wwwRoot . 'static/board/blocks/d16ae0b695f0b55477bb28fa1d96631f.svg', 'cover' => $wwwRoot . 'static/board/blocks/f48cb42e48509f9321dfe492a179053b.svg','type' => 'block_template_combination');

$sticker[] = array('name' => 'templet', 'title' => '出发', 'image' => $wwwRoot . 'static/board/blocks/1-出发.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm1-出发.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => 'To Do', 'image' => $wwwRoot . 'static/board/blocks/2-To Do.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm2-To Do.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '锚定', 'image' => $wwwRoot . 'static/board/blocks/3-锚定.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm3-锚定.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '探究', 'image' => $wwwRoot . 'static/board/blocks/4-探究.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm4-探究.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '风暴', 'image' => $wwwRoot . 'static/board/blocks/5-风暴.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm5-风暴.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '讨论', 'image' => $wwwRoot . 'static/board/blocks/6-讨论.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm6-讨论.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '对抗', 'image' => $wwwRoot . 'static/board/blocks/7-对抗.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm7-对抗.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '关注', 'image' => $wwwRoot . 'static/board/blocks/8-关注.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm8-关注.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '通知', 'image' => $wwwRoot . 'static/board/blocks/9-通知.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm9-通知.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '荣誉', 'image' => $wwwRoot . 'static/board/blocks/10-荣誉.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm10-荣誉.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '闪亮', 'image' => $wwwRoot . 'static/board/blocks/f11-闪亮.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm11-闪亮.png','type' => 'block_template_sticker');

$schedule[] = array('name' => 'templet', 'title' => '周历', 'image' => $wwwRoot . 'static/board/blocks/积木_周历.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm1-周历.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 1月', 'image' => $wwwRoot . 'static/board/blocks/35061a6cc4df8cd1ec15dac3f3aea912.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm4-2024 1月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 2月', 'image' => $wwwRoot . 'static/board/blocks/d473c78f4b7cdb336a50a8b1f257b933.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm5-2024 2月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 3月', 'image' => $wwwRoot . 'static/board/blocks/1e2f225a34bc2d529e931bff6cf8aea5.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm6-2024 3月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 4月', 'image' => $wwwRoot . 'static/board/blocks/c1290c6d0eb5e8ff32ee6b428e8bd48a.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm7-2024 4月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 5月', 'image' => $wwwRoot . 'static/board/blocks/f069437d9280a647bd66a4b1dfc220cf.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm8-2024 5月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 6月', 'image' => $wwwRoot . 'static/board/blocks/00d20f957f42bf822e4d0d3b6db4f7a6.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm9-2024 6月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 7月', 'image' => $wwwRoot . 'static/board/blocks/2024-7.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-7.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 8月', 'image' => $wwwRoot . 'static/board/blocks/2024-8.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-8.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 9月', 'image' => $wwwRoot . 'static/board/blocks/2024-9.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-9.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 10月', 'image' => $wwwRoot . 'static/board/blocks/2024-10.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-10.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 11月', 'image' => $wwwRoot . 'static/board/blocks/2024-11.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-11.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 12月', 'image' => $wwwRoot . 'static/board/blocks/2024-12.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-12.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 1月', 'image' => $wwwRoot . 'static/board/blocks/2025-1.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-1.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 2月', 'image' => $wwwRoot . 'static/board/blocks/2025-2.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-2.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 3月', 'image' => $wwwRoot . 'static/board/blocks/2025-3.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-3.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 4月', 'image' => $wwwRoot . 'static/board/blocks/2025-4.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-4.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 5月', 'image' => $wwwRoot . 'static/board/blocks/2025-5.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-5.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 6月', 'image' => $wwwRoot . 'static/board/blocks/2025-6.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-6.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 7月', 'image' => $wwwRoot . 'static/board/blocks/2025-7.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-7.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 8月', 'image' => $wwwRoot . 'static/board/blocks/2025-8.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-8.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 9月', 'image' => $wwwRoot . 'static/board/blocks/2025-9.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-9.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 10月', 'image' => $wwwRoot . 'static/board/blocks/2025-10.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-10.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 11月', 'image' => $wwwRoot . 'static/board/blocks/2025-11.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-11.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 12月', 'image' => $wwwRoot . 'static/board/blocks/2025-12.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-12.svg','type' => 'block_time_schedule');

$lang->board->blocksMap['block_template_shape']       = '基础单元';
$lang->board->blocksMap['block_template_combination'] = '复合单元';
$lang->board->blocksMap['block_template_sticker']     = '氛围贴纸';
$lang->board->blocksMap['block_time_schedule']        = '时间计划';

$lang->board->blocks['titles']    = array_values($lang->board->blocksMap);
$lang->board->blocks['titleKeys'] = array_keys($lang->board->blocksMap);
$lang->board->blocks['blocks']['block_template_shape']       = $shape;
$lang->board->blocks['blocks']['block_template_combination'] = $combination;
$lang->board->blocks['blocks']['block_template_sticker']     = $sticker;
$lang->board->blocks['blocks']['block_time_schedule']        = $schedule;
