<?php

$lang->board->common = '白板';

$lang->board->createTeamBoard = '創建團隊白板';
$lang->board->editTeamBoard   = '編輯團隊白板';
$lang->board->createSpace     = '創建空間';
$lang->board->editSpace       = '編輯空間';
$lang->board->spaceName       = '空間名稱';
$lang->board->allSpace        = '所有空間';
$lang->board->importStory     = '導入需求';

$lang->board->point           = '、';
$lang->board->id              = 'ID';
$lang->board->status          = '狀態';
$lang->board->name            = '名稱';
$lang->board->createBoard     = '創建白板';
$lang->board->closeBoard      = '關閉白板';
$lang->board->activateBoard   = '激活白板';
$lang->board->boardName       = '白板名稱';
$lang->board->owner           = '負責人';
$lang->board->createdBy       = '創建者';
$lang->board->collaborator    = '協作負責人';
$lang->board->allUsers        = '加載所有用戶';
$lang->board->affiliatedSpace = '所屬空間';
$lang->board->space           = $lang->board->affiliatedSpace;
$lang->board->createdDate     = '創建日期';
$lang->board->editedDate      = '最後修改日期';
$lang->board->players         = '互動成員';
$lang->board->createOn        = '創建於';
$lang->board->type            = '白板類型';
$lang->board->userStoryTitle  = '用戶需求名稱';
$lang->board->devStoryTitle   = '研發需求名稱';
$lang->board->priAB           = 'P';
$lang->board->stage           = '階段';
$lang->board->product         = '所屬產品';
$lang->board->module          = '所屬模組';
$lang->board->plan            = '所屬計劃';
$lang->board->reviewer        = '評審人';
$lang->board->estimate        = '預計';
$lang->board->story           = '需求';
$lang->board->storyType       = '需求類型';
$lang->board->import          = '導入';
$lang->board->updateLayer     = '更新導入卡片';
$lang->board->storyName       = '需求名稱';

$lang->board->storyTypeList['epic']        = $lang->ERCommon;
$lang->board->storyTypeList['requirement'] = $lang->URCommon;
$lang->board->storyTypeList['story']       = $lang->SRCommon;

$lang->board->statusList['unclosed'] = '未關閉';
$lang->board->statusList['closed']   = '已關閉';

$lang->board->boardType['team']    = '團隊白板';
$lang->board->boardType['project'] = '項目白板';
$lang->board->boardType['product'] = '產品白板';

$lang->board->acl             = '訪問控制';
$lang->board->groups          = '分組';
$lang->board->users           = '用戶';
$lang->board->lib             = $lang->board->affiliatedSpace;
$lang->board->boardOpenTip    = '公開 （有所屬空間權限即可訪問）';
$lang->board->boardPrivateTip = '私有 （僅創建者、負責人、協作負責人和白名單用戶可訪問）';
$lang->board->collaboratorTip = '協作負責人可以在白板中設置成員互動模式、控制模板等，促進參與者更好的合作。';

$lang->board->confirmDelete      = '您確認要刪除該白板嗎？';
$lang->board->confirmDeleteSpace = '您確定刪除該白板空間嗎？';
$lang->board->updatedLayer       = '已更新白板卡片';

/* Common access control lang. */
$lang->board->whiteList          = '白名單';
$lang->board->aclList['open']    = '公開 （有白板視圖權限即可訪問）';
$lang->board->aclList['private'] = '私有 （僅創建者和白名單用戶可訪問）';
$lang->board->group              = '分組';
$lang->board->user               = '用戶';

$lang->board->error             = new stdclass();
$lang->board->error->invalidCanvasID   = '您請求的資源受限或者不存在';
$lang->board->error->invalidClientID   = '客戶端錯誤，請重新進入';
$lang->board->error->invalidTemplateID = '模板不存在，請重新選擇';
$lang->board->error->templateCanvasID  = '模板設置的白板不存在，請重新選擇';
$lang->board->error->noPrivSpace       = '<div id="addWhitelistTip"><div class="input-group"><i class="icon icon-info addWhitelistTip"></i> 白名單用戶<span class="addWhitelistTip">%s</span>暫無所在空間訪問權限，因此無法訪問白板。如需調整權限請維護所在空間的訪問控制權限。</div></div>';
$lang->board->error->closeTip          = '關閉後白板不能繼續創作與協作';
$lang->board->error->timerNotSet       = '未啟用計時';
$lang->board->error->invalidCoverPath  = '封面地址錯誤';
$lang->board->error->noPrivViewBoard   = '您暫無權限共創白板';
$lang->board->error->noSpaceData       = '暫時沒有空間';

/* Lang for privs, keys are paired with privlang items. */
$lang->board->create      = '創建白板';
$lang->board->edit        = '編輯白板';
$lang->board->close       = '關閉白板';
$lang->board->activate    = '激活白板';
$lang->board->delete      = '刪除白板';
$lang->board->collect     = '收藏白板';
$lang->board->lock        = '鎖定白板';
$lang->board->unlock      = '解鎖白板';
$lang->board->creation    = '白板創作';
$lang->board->index       = '瀏覽白板';
$lang->board->teamBoard   = '團隊白板';
$lang->board->createSpace = '創建空間';
$lang->board->editSpace   = '編輯空間';
$lang->board->deleteSpace = '刪除空間';

$lang->board->featureBar['teamboard']['all']       = '全部';
$lang->board->featureBar['teamboard']['unclosed']  = '未關閉';
$lang->board->featureBar['teamboard']['openedBy']  = '由我創建';
$lang->board->featureBar['teamboard']['collectBy'] = '我收藏的';
$lang->board->featureBar['teamboard']['closed']    = '已關閉';

$lang->board->featureBar['template']['all']              = '全部';
$lang->board->featureBar['template']['brainstorming']    = '頭腦風暴';
$lang->board->featureBar['template']['researchAnalysis'] = '調研分析';
$lang->board->featureBar['template']['decisionAnalysis'] = '決策分析';
$lang->board->featureBar['template']['agilePractice']    = '敏捷實踐';

$lang->board->actions['convert']['demand']      = '需求池需求';
$lang->board->actions['convert']['epic']        = $lang->ERCommon;
$lang->board->actions['convert']['requirement'] = $lang->URCommon;
$lang->board->actions['convert']['story']       = $lang->SRCommon;

$lang->board->hint = new stdClass();
$lang->board->hint->collect        = '收藏';
$lang->board->hint->cancelCollect  = '取消收藏';
$lang->board->hint->converted      = '該便簽已轉化為需求。';
$lang->board->hint->convertedCroup = '該組便簽已轉化為需求。';

$lang->board->action = new stdclass();
$lang->board->action->created            = array('main' => '$date, 由 <strong>$actor</strong> 創建。');
$lang->board->action->closed             = array('main' => '$date, 由 <strong>$actor</strong> 關閉。');
$lang->board->action->edited             = array('main' => '$date, 由 <strong>$actor</strong> 編輯。');
$lang->board->action->activated          = array('main' => '$date, 由 <strong>$actor</strong> 激活。');
$lang->board->action->collected          = array('main' => '$date, 由 <strong>$actor</strong> 收藏。');
$lang->board->action->uncollected        = array('main' => '$date, 由 <strong>$actor</strong> 取消收藏。');
$lang->board->action->importstory        = array('main' => '$date, 由 <strong>$actor</strong> 導入' . $lang->SRCommon . '：$extra。');
$lang->board->action->importdemand       = array('main' => '$date, 由 <strong>$actor</strong> 導入需求池需求：$extra。');
$lang->board->action->importrequirement  = array('main' => '$date, 由 <strong>$actor</strong> 導入' . $lang->URCommon . '：$extra。');
$lang->board->action->editedstory        = array('main' => '$date, 由 <strong>$actor</strong> 編輯需求卡片。');
$lang->board->action->importepic         = array('main' => '$date, 由 <strong>$actor</strong> 導入' . $lang->ERCommon .'：$extra。');
$lang->board->action->convertdemand      = array('main' => '$date, 由 <strong>$actor</strong> 轉化需求池需求：$extra。');
$lang->board->action->convertepic        = array('main' => '$date, 由 <strong>$actor</strong> 轉化' . $lang->ERCommon . '：$extra。');
$lang->board->action->convertrequirement = array('main' => '$date, 由 <strong>$actor</strong> 轉化' . $lang->URCommon . '：$extra。');
$lang->board->action->convertstory       = array('main' => '$date, 由 <strong>$actor</strong> 轉化' . $lang->SRCommon . '：$extra。');

$lang->board->editor = new stdclass();
$lang->board->editor->addBlock      = '底圖';
$lang->board->editor->noteColors    = array();
$lang->board->editor->noteColors[]  = array('color' => 'transparent', 'text' => '#5E626D', 'name' => '透明');
$lang->board->editor->noteColors[]  = array('color' => '#d0f6e8', 'text' => '#5E626D', 'name' => '淺綠');
$lang->board->editor->noteColors[]  = array('color' => '#d5e5ff', 'text' => '#5E626D', 'name' => '淺藍');
$lang->board->editor->noteColors[]  = array('color' => '#60c2ff', 'text' => '#ffffff', 'name' => '藍色');
$lang->board->editor->noteColors[]  = array('color' => '#3785ff', 'text' => '#ffffff', 'name' => '禪道藍');
$lang->board->editor->noteColors[]  = array('color' => '#a78cf9', 'text' => '#ffffff', 'name' => '紫色');
$lang->board->editor->noteColors[]  = array('color' => '#41c0a7', 'text' => '#ffffff', 'name' => '綠色');
$lang->board->editor->noteColors[]  = array('color' => '#ffaf65', 'text' => '#ffffff', 'name' => '橙色');
$lang->board->editor->noteColors[]  = array('color' => '#ffecdb', 'text' => '#5E626D', 'name' => '淺黃');
$lang->board->editor->noteColors[]  = array('color' => '#f9ebfc', 'text' => '#5E626D', 'name' => '粉色');
$lang->board->editor->noteColors[]  = array('color' => '#ede9fe', 'text' => '#5E626D', 'name' => '淺紫');
$lang->board->editor->noteColors[]  = array('color' => '#ffffff', 'text' => '#5E626D', 'name' => '白');
$lang->board->editor->noteColors[]  = array('color' => '#333333', 'text' => '#ffffff', 'name' => '黑');
$lang->board->editor->readonlyMessage = '白板已關閉，已進入瀏覽模式。';
$lang->board->editor->deleteMessage   = '白板已删除，已進入瀏覽模式。';

global $app;
$wwwRoot = $app->getWebRoot();

$shape[] = array('name' => 'templet', 'title' => '方形区块', 'image' => $wwwRoot . 'static/board/blocks/055d2715f312caff0b0eca3619572a8a.svg', 'cover' => $wwwRoot . 'static/board/blocks/511eb80c77d6e83618f083ce299c6f89.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '圆形区块', 'image' => $wwwRoot . 'static/board/blocks/45eb4d23b58ad8f97d43f874ba0f96db.svg', 'cover' => $wwwRoot . 'static/board/blocks/圆形封面.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '三角区块', 'image' => $wwwRoot . 'static/board/blocks/5ec07ee978f1793c15e06bf1657a9264.svg', 'cover' => $wwwRoot . 'static/board/blocks/37c0952266c59999dfba92c6f76db985.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '灰色大区块', 'image' => $wwwRoot . 'static/board/blocks/2c795cb56337fd82573808919726968d.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-大区块-灰.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '白色大区块', 'image' => $wwwRoot . 'static/board/blocks/2dcc70ae91e676e59d4b5c149b444a71.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-大区块-白.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '区域-灰', 'image' => $wwwRoot . 'static/board/blocks/00e07bf925e397def3cd60094d5b2128.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-区域-灰.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '区域-红', 'image' => $wwwRoot . 'static/board/blocks/a1dbc005258282a86f7300e6ee623863.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-区域-红.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '区域-蓝', 'image' => $wwwRoot . 'static/board/blocks/f8ce41932704f136d23e3d2f20770bc9.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-区域-蓝.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '区域-橙', 'image' => $wwwRoot . 'static/board/blocks/c6118c3134676ab4c9b5b26be1629d23.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-区域-橙.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '范围-红', 'image' => $wwwRoot . 'static/board/blocks/c983519bc54ebf9eb27244e7b8fbfc37.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-范围-红.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '范围-蓝', 'image' => $wwwRoot . 'static/board/blocks/886a1ec5a041cfba63c391528de7dbb4.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-范围-蓝.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => '范围-橙', 'image' => $wwwRoot . 'static/board/blocks/f103b6ff888b237133106e27792c66bb.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-范围-橙.svg','type' => 'block_template_shape');

$combination[] = array('name' => 'templet', 'title' => '简单拼贴', 'image' => $wwwRoot . 'static/board/blocks/3b0ce7c548e3a3d62cfe117db0a46e24.svg', 'cover' => $wwwRoot . 'static/board/blocks/a1b0ae0f817d767ab9e496299b20e164.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => '中心四象限', 'image' => $wwwRoot . 'static/board/blocks/8561844227c24b81ecfef528881a8791.svg', 'cover' => $wwwRoot . 'static/board/blocks/ba2575fe10189118027d4eff49c52903.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => '坐标四象限', 'image' => $wwwRoot . 'static/board/blocks/0b2f84a50ae44b4ba875823482d072fa.svg', 'cover' => $wwwRoot . 'static/board/blocks/fd9981dd38552285cb110c99b1ca3952.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => '金字塔', 'image' => $wwwRoot . 'static/board/blocks/6d8e31ccc134b7fd4fc604290dc13eb3.svg', 'cover' => $wwwRoot . 'static/board/blocks/08602965a6cd453b3c7bd522a9917b86.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => '漏斗', 'image' => $wwwRoot . 'static/board/blocks/dac8262f28d738626579965d8d1a296a.svg', 'cover' => $wwwRoot . 'static/board/blocks/49017be6dcde826346a88b3030c408d7.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => '同心圆', 'image' => $wwwRoot . 'static/board/blocks/25401c1ad14ebd71e2d237a6221dde8c.svg', 'cover' => $wwwRoot . 'static/board/blocks/5cd6d77d396f6b928112ba3ea1d19208.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => '维恩图', 'image' => $wwwRoot . 'static/board/blocks/d16ae0b695f0b55477bb28fa1d96631f.svg', 'cover' => $wwwRoot . 'static/board/blocks/f48cb42e48509f9321dfe492a179053b.svg','type' => 'block_template_combination');

$sticker[] = array('name' => 'templet', 'title' => '出发', 'image' => $wwwRoot . 'static/board/blocks/1-出发.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm1-出发.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => 'To Do', 'image' => $wwwRoot . 'static/board/blocks/2-To Do.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm2-To Do.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '锚定', 'image' => $wwwRoot . 'static/board/blocks/3-锚定.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm3-锚定.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '探究', 'image' => $wwwRoot . 'static/board/blocks/4-探究.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm4-探究.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '风暴', 'image' => $wwwRoot . 'static/board/blocks/5-风暴.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm5-风暴.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '讨论', 'image' => $wwwRoot . 'static/board/blocks/6-讨论.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm6-讨论.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '对抗', 'image' => $wwwRoot . 'static/board/blocks/7-对抗.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm7-对抗.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '关注', 'image' => $wwwRoot . 'static/board/blocks/8-关注.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm8-关注.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '通知', 'image' => $wwwRoot . 'static/board/blocks/9-通知.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm9-通知.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '荣誉', 'image' => $wwwRoot . 'static/board/blocks/10-荣誉.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm10-荣誉.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => '闪亮', 'image' => $wwwRoot . 'static/board/blocks/f11-闪亮.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm11-闪亮.png','type' => 'block_template_sticker');

$schedule[] = array('name' => 'templet', 'title' => '周历', 'image' => $wwwRoot . 'static/board/blocks/积木_周历.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm1-周历.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 1月', 'image' => $wwwRoot . 'static/board/blocks/35061a6cc4df8cd1ec15dac3f3aea912.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm4-2024 1月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 2月', 'image' => $wwwRoot . 'static/board/blocks/d473c78f4b7cdb336a50a8b1f257b933.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm5-2024 2月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 3月', 'image' => $wwwRoot . 'static/board/blocks/1e2f225a34bc2d529e931bff6cf8aea5.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm6-2024 3月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 4月', 'image' => $wwwRoot . 'static/board/blocks/c1290c6d0eb5e8ff32ee6b428e8bd48a.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm7-2024 4月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 5月', 'image' => $wwwRoot . 'static/board/blocks/f069437d9280a647bd66a4b1dfc220cf.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm8-2024 5月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 6月', 'image' => $wwwRoot . 'static/board/blocks/00d20f957f42bf822e4d0d3b6db4f7a6.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm9-2024 6月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 7月', 'image' => $wwwRoot . 'static/board/blocks/2024-7.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-7.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 8月', 'image' => $wwwRoot . 'static/board/blocks/2024-8.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-8.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 9月', 'image' => $wwwRoot . 'static/board/blocks/2024-9.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-9.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 10月', 'image' => $wwwRoot . 'static/board/blocks/2024-10.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-10.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 11月', 'image' => $wwwRoot . 'static/board/blocks/2024-11.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-11.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024年 12月', 'image' => $wwwRoot . 'static/board/blocks/2024-12.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-12.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 1月', 'image' => $wwwRoot . 'static/board/blocks/2025-1.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-1.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 2月', 'image' => $wwwRoot . 'static/board/blocks/2025-2.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-2.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 3月', 'image' => $wwwRoot . 'static/board/blocks/2025-3.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-3.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 4月', 'image' => $wwwRoot . 'static/board/blocks/2025-4.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-4.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 5月', 'image' => $wwwRoot . 'static/board/blocks/2025-5.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-5.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 6月', 'image' => $wwwRoot . 'static/board/blocks/2025-6.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-6.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 7月', 'image' => $wwwRoot . 'static/board/blocks/2025-7.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-7.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 8月', 'image' => $wwwRoot . 'static/board/blocks/2025-8.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-8.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 9月', 'image' => $wwwRoot . 'static/board/blocks/2025-9.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-9.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 10月', 'image' => $wwwRoot . 'static/board/blocks/2025-10.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-10.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 11月', 'image' => $wwwRoot . 'static/board/blocks/2025-11.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-11.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025年 12月', 'image' => $wwwRoot . 'static/board/blocks/2025-12.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-12.svg','type' => 'block_time_schedule');

$lang->board->blocksMap['block_template_shape']       = '基礎單元';
$lang->board->blocksMap['block_template_combination'] = '復合單元';
$lang->board->blocksMap['block_template_sticker']     = '氛圍貼紙';
$lang->board->blocksMap['block_time_schedule']        = '時間計劃';

$lang->board->blocks['titles']    = array_values($lang->board->blocksMap);
$lang->board->blocks['titleKeys'] = array_keys($lang->board->blocksMap);
$lang->board->blocks['blocks']['block_template_shape']       = $shape;
$lang->board->blocks['blocks']['block_template_combination'] = $combination;
$lang->board->blocks['blocks']['block_template_sticker']     = $sticker;
$lang->board->blocks['blocks']['block_time_schedule']        = $schedule;
