<?php

$config->group->subset->board = new stdclass();
$config->group->subset->board->order = 655;
$config->group->subset->board->nav   = 'board';

$config->group->package->viewBoard = new stdclass();
$config->group->package->viewBoard->subset = 'board';
$config->group->package->viewBoard->privs  = array();
$config->group->package->viewBoard->privs['board-teamBoard']  = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd,lite,or', 'order' => 15, 'depend' => array(), 'recommend' => array('board-template'));
$config->group->package->viewBoard->privs['board-template'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd,lite,or', 'order' => 20, 'depend' => array(), 'recommend' => array('board-teamBoard'));

$config->group->package->boardSpace = new stdclass();
$config->group->package->boardSpace->subset = 'board';
$config->group->package->boardSpace->privs  = array();
$config->group->package->boardSpace->privs['board-createSpace'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd,lite,or', 'order' => 10, 'depend' => array('board-teamBoard'), 'recommend' => array('board-editSpace'));
$config->group->package->boardSpace->privs['board-editSpace']   = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd,lite,or', 'order' => 15, 'depend' => array('board-teamBoard'), 'recommend' => array('board-createSpace'));

$config->group->package->boardAction = new stdclass();
$config->group->package->boardAction->subset = 'board';
$config->group->package->boardAction->privs  = array();
$config->group->package->boardAction->privs['board-createBoard'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd,lite,or', 'order' => 10, 'depend' => array('board-teamBoard'), 'recommend' => array('board-editBoard', 'board-close', 'board-activate', 'board-collect', 'board-creation'));
$config->group->package->boardAction->privs['board-editBoard']   = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd,lite,or', 'order' => 15, 'depend' => array('board-teamBoard'), 'recommend' => array('board-createBoard', 'board-close', 'board-activate', 'board-collect', 'board-creation'));
$config->group->package->boardAction->privs['board-close']       = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd,lite,or', 'order' => 20, 'depend' => array('board-teamBoard'), 'recommend' => array('board-createBoard', 'board-editBoard', 'board-activate', 'board-collect', 'board-creation'));
$config->group->package->boardAction->privs['board-activate']    = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd,lite,or', 'order' => 25, 'depend' => array('board-teamBoard'), 'recommend' => array('board-createBoard', 'board-editBoard', 'board-close', 'board-collect', 'board-creation'));
$config->group->package->boardAction->privs['board-collect']     = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd,lite,or', 'order' => 35, 'depend' => array('board-teamBoard'), 'recommend' => array('board-createBoard', 'board-editBoard', 'board-close', 'board-activate', 'board-creation'));
$config->group->package->boardAction->privs['board-creation']   = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd,lite,or', 'order' => 40, 'depend' => array('board-teamBoard'), 'recommend' => array('board-createBoard', 'board-editBoard', 'board-close', 'board-activate', 'board-collect'));

$config->group->package->deleteBoard = new stdclass();
$config->group->package->deleteBoard->subset = 'board';
$config->group->package->deleteBoard->privs  = array();
$config->group->package->deleteBoard->privs['board-delete']      = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd,lite,or', 'order' => 10, 'depend' => array('board-teamBoard'), 'recommend' => array('board-createBoard', 'board-editBoard', 'board-close', 'board-activate', 'board-collect', 'board-creation'));
$config->group->package->deleteBoard->privs['board-deleteSpace'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd,lite,or', 'order' => 15, 'depend' => array('board-teamBoard'), 'recommend' => array('board-createSpace', 'board-editSpace'));
