<?php

$app->loadLang('demand');

$config->board->importDemand = new stdclass();
$config->board->importDemand->dtable = new stdclass();
$config->board->importDemand->dtable->fieldList['id']['title'] = $lang->idAB;
$config->board->importDemand->dtable->fieldList['id']['type']  = 'checkID';

$config->board->importDemand->dtable->fieldList['title']['title']        = $lang->demand->title;
$config->board->importDemand->dtable->fieldList['title']['fixed']        = 'left';
$config->board->importDemand->dtable->fieldList['title']['data-app']     = $app->tab;
$config->board->importDemand->dtable->fieldList['title']['data-toggle']  = 'modal';
$config->board->importDemand->dtable->fieldList['title']['data-size']    = 'lg';
$config->board->importDemand->dtable->fieldList['title']['nestedToggle'] = true;
$config->board->importDemand->dtable->fieldList['title']['type']         = 'title';
$config->board->importDemand->dtable->fieldList['title']['childLabel']   = $lang->childrenAB;
$config->board->importDemand->dtable->fieldList['title']['link']         = array('module' => 'demand', 'method' => 'view', 'params' => "demandID={id}");
$config->board->importDemand->dtable->fieldList['title']['styleMap']     = array('--color-link' => 'color');

$config->board->importDemand->dtable->fieldList['pri']['title'] = $lang->demand->priAB;
$config->board->importDemand->dtable->fieldList['pri']['type']  = 'pri';
$config->board->importDemand->dtable->fieldList['pri']['show']  = true;

$config->board->importDemand->dtable->fieldList['pool']['title']   = $lang->demand->pool;
$config->board->importDemand->dtable->fieldList['pool']['type']    = 'category';
$config->board->importDemand->dtable->fieldList['pool']['show']    = true;
$config->board->importDemand->dtable->fieldList['pool']['control'] = 'multiple';

$config->board->importDemand->dtable->fieldList['product']['title']   = $lang->demand->product;
$config->board->importDemand->dtable->fieldList['product']['type']    = 'category';
$config->board->importDemand->dtable->fieldList['product']['show']    = true;
$config->board->importDemand->dtable->fieldList['product']['control'] = 'multiple';
if($app->getClientLang() === 'en')
{
    $config->board->importDemand->dtable->fieldList['pool']['width']    = 120;
    $config->board->importDemand->dtable->fieldList['product']['width'] = 140;
}

$config->board->importDemand->dtable->fieldList['status']['title']     = $lang->demand->status;
$config->board->importDemand->dtable->fieldList['status']['type']      = 'status';
$config->board->importDemand->dtable->fieldList['status']['statusMap'] = $lang->demand->statusList;
$config->board->importDemand->dtable->fieldList['status']['show']      = true;

$config->board->importDemand->dtable->fieldList['createdBy']['title'] = $lang->board->createdBy;
$config->board->importDemand->dtable->fieldList['createdBy']['type']  = 'user';
$config->board->importDemand->dtable->fieldList['createdBy']['show']  = true;

$config->board->importDemand->dtable->fieldList['duration']['title']      = $lang->demand->duration;
$config->board->importDemand->dtable->fieldList['duration']['type']       = 'category';
$config->board->importDemand->dtable->fieldList['duration']['map']        = $lang->demand->durationList;
$config->board->importDemand->dtable->fieldList['duration']['show']       = true;
$config->board->importDemand->dtable->fieldList['duration']['dataSource'] = array('lang' => 'durationList');

$config->board->importDemand->dtable->fieldList['BSA']['title']      = $lang->demand->BSA;
$config->board->importDemand->dtable->fieldList['BSA']['type']       = 'category';
$config->board->importDemand->dtable->fieldList['BSA']['map']        = $lang->demand->bsaList;
$config->board->importDemand->dtable->fieldList['BSA']['dataSource'] = array('lang' => 'bsaList');

$app->loadLang('story');
$config->board->importStory->dtable = new stdclass();
$config->board->importStory->dtable->fieldList['id']['title']    = $lang->idAB;
$config->board->importStory->dtable->fieldList['id']['type']     = 'checkID';
$config->board->importStory->dtable->fieldList['id']['sortType'] = true;
$config->board->importStory->dtable->fieldList['id']['fixed']    = 'left';
$config->board->importStory->dtable->fieldList['id']['group']    = 1;

$config->board->importStory->dtable->fieldList['title']['title']        = $lang->story->title;
$config->board->importStory->dtable->fieldList['title']['type']         = 'title';
$config->board->importStory->dtable->fieldList['title']['link']         = helper::createLink('{type}', 'view', 'storyID={id}');
$config->board->importStory->dtable->fieldList['title']['sortType']     = true;
$config->board->importStory->dtable->fieldList['title']['fixed']        = 'left';
$config->board->importStory->dtable->fieldList['title']['group']        = 2;
$config->board->importStory->dtable->fieldList['title']['data-app']     = $app->tab;
$config->board->importStory->dtable->fieldList['title']['data-toggle']  = 'modal';
$config->board->importStory->dtable->fieldList['title']['data-size']    = 'lg';
$config->board->importStory->dtable->fieldList['title']['nestedToggle'] = true;
$config->board->importStory->dtable->fieldList['title']['childLabel']   = $lang->childrenAB;
$config->board->importStory->dtable->fieldList['title']['styleMap']     = array('--color-link' => 'color');

$config->board->importStory->dtable->fieldList['type']['type']   = 'type';
$config->board->importStory->dtable->fieldList['type']['hidden'] = true;

$config->board->importStory->dtable->fieldList['pri']['title']    = $lang->board->priAB;
$config->board->importStory->dtable->fieldList['pri']['type']     = 'pri';
$config->board->importStory->dtable->fieldList['pri']['sortType'] = true;
$config->board->importStory->dtable->fieldList['pri']['fixed']    = 'left';
$config->board->importStory->dtable->fieldList['pri']['group']    = 3;

$config->board->importStory->dtable->fieldList['stage']['title']     = $lang->story->stageAB;
$config->board->importStory->dtable->fieldList['stage']['type']      = 'status';
$config->board->importStory->dtable->fieldList['stage']['statusMap'] = $lang->story->stageList;
$config->board->importStory->dtable->fieldList['stage']['sortType']  = true;
$config->board->importStory->dtable->fieldList['stage']['group']     = 4;

$config->board->importStory->dtable->fieldList['product']['title']    = $lang->story->product;
$config->board->importStory->dtable->fieldList['product']['type']     = 'text';
$config->board->importStory->dtable->fieldList['product']['link']     = helper::createLink('product', 'browse', 'productID={product}&branch={branch}');
$config->board->importStory->dtable->fieldList['product']['sortType'] = true;
$config->board->importStory->dtable->fieldList['product']['group']    = 5;

$config->board->importStory->dtable->fieldList['module']['title']    = $lang->story->module;
$config->board->importStory->dtable->fieldList['module']['type']     = 'text';
$config->board->importStory->dtable->fieldList['module']['sortType'] = true;
$config->board->importStory->dtable->fieldList['module']['group']    = 6;

$config->board->importStory->dtable->fieldList['planTitle']['title']    = $lang->story->plan;
$config->board->importStory->dtable->fieldList['planTitle']['type']     = 'text';
$config->board->importStory->dtable->fieldList['planTitle']['sortType'] = true;
$config->board->importStory->dtable->fieldList['planTitle']['group']    = 7;

$config->board->importStory->dtable->fieldList['status']['title']     = $lang->statusAB;
$config->board->importStory->dtable->fieldList['status']['name']      = 'status';
$config->board->importStory->dtable->fieldList['status']['type']      = 'status';
$config->board->importStory->dtable->fieldList['status']['statusMap'] = $lang->story->statusList;

$config->board->importStory->dtable->fieldList['openedBy']['title']    = $lang->board->createdBy;
$config->board->importStory->dtable->fieldList['openedBy']['type']     = 'user';
$config->board->importStory->dtable->fieldList['openedBy']['sortType'] = true;
$config->board->importStory->dtable->fieldList['openedBy']['group']    = 8;

$config->board->importStory->dtable->fieldList['duration']['title']      = $lang->demand->duration;
$config->board->importStory->dtable->fieldList['duration']['type']       = 'category';
$config->board->importStory->dtable->fieldList['duration']['map']        = $lang->demand->durationList;
$config->board->importStory->dtable->fieldList['duration']['show']       = true;
$config->board->importStory->dtable->fieldList['duration']['dataSource'] = array('lang' => 'durationList');

$config->board->importStory->dtable->fieldList['BSA']['title']      = $lang->demand->BSA;
$config->board->importStory->dtable->fieldList['BSA']['type']       = 'category';
$config->board->importStory->dtable->fieldList['BSA']['map']        = $lang->demand->bsaList;
$config->board->importStory->dtable->fieldList['BSA']['dataSource'] = array('lang' => 'bsaList');

$config->board->importStory->dtable->fieldList['estimate']['title']    = $lang->story->estimateAB;
$config->board->importStory->dtable->fieldList['estimate']['type']     = 'number';
$config->board->importStory->dtable->fieldList['estimate']['sortType'] = true;
$config->board->importStory->dtable->fieldList['estimate']['group']    = 10;
$config->board->importStory->dtable->fieldList['estimate']['format']   = "{0}{$config->hourUnit}";
