<?php
/**
 * The board view file of board module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Hao Sun<sunhao@easycorp.ltd>
 * @package     board
 * @link        https://www.zentao.net
 */
namespace zin;

h::iframe
(
    set::className('canvas-frame absolute inset-0 w-screen h-screen z-1'),
    set::src(createLink('board', 'canvas', "canvasID=$canvasID")),
    set::allowfullscreen(true),
    set::allowtransparency(true),
    set::frameborder('no'),
    set::scrolling('none')
);
